Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator.uep
Class ImplicitErrorBasedGrouping

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.FeatureConstruction
              edu.udo.cs.miningmart.operator.uep.Grouping
                  edu.udo.cs.miningmart.operator.uep.ImplicitErrorBasedGrouping

public class ImplicitErrorBasedGrouping
extends Grouping

M4 Compiler

Copyright: Copyright (c) 2002

Company: University Dortmund

Version:
  $Id: ImplicitErrorBasedGrouping.java,v 1.6 2006/04/11 14:10:18 euler Exp $
Author:
  Felix Koschin

Nested Class Summary
`class` | `ImplicitErrorBasedGrouping.cmpMyData`
`class` | `ImplicitErrorBasedGrouping.myData`

Constructor Summary
`ImplicitErrorBasedGrouping()`

Method Summary
`java.lang.String[]` | `generateGroups(Column theTargetAttributeColumn)`
`Value` | `getFullMerge()`
`Value[]` | `getSampleSize()`
`BaseAttribute` | `getTheClassAttribute()`

Methods inherited from class edu.udo.cs.miningmart.operator.uep.Grouping
`generateLabels, generateSQL, useQuotes`

Methods inherited from class edu.udo.cs.miningmart.operator.FeatureConstruction
`compileStatement, createStatement, estimateStatistics, execute, generateColumnForOp, getCurrentLoopNumber, getTheInputConcept, getTheOutputAttribute, getTheOutputAttribute, getTheTargetAttribute, getTheTargetAttribute, load, writeResults`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getSingleParameter, getSingleParameter, getStep, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImplicitErrorBasedGrouping

    public ImplicitErrorBasedGrouping()

Method Detail

### getFullMerge

    public Value getFullMerge()
                       throws M4CompilerError

  Throws:
    `M4CompilerError`

### getSampleSize

    public Value[] getSampleSize()
                          throws M4CompilerError

  Throws:
    `M4CompilerError`

### getTheClassAttribute

    public BaseAttribute getTheClassAttribute()
                                       throws M4CompilerError

  Throws:
    `M4CompilerError`

### generateGroups

    public java.lang.String[] generateGroups(Column theTargetAttributeColumn)
                                      throws M4CompilerError

  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005